[user]

	name = "Hactarus"
	email = "859868+Hactarus@users.noreply.github.com"
	signingkey = E78C926AFF8835F1D31D63E0004635081CCE8F11

[alias]
	pushdev = !git push --set-upstream origin "`git branch --no-color 2>/dev/null | grep '*' | sed -e 's/\\* //'`:dev/hactarus/`git branch --no-color 2>/dev/null | grep '*' | sed -e 's/\\* //'`"
	graph = !git log --oneline --graph --abbrev-commit --decorate --date=relative --all --format=format:'%C(bold blue)%h%C(reset) - %C(bold green)(%ar)%C(reset) %C(white)%s%C(reset) %C(dim white)- %an%C(reset)%C(bold yellow)%d%C(reset)\n'

[push]
	default = simple

[init]
	defaultBranch = main

[commit]
	gpgsign = false

[url "ssh://git@gitlab.com"]
	insteadOf = "https://gitlab.com"

[url "ssh://git@github.com"]
	insteadOf = "https://github.com"

[includeIf "gitdir:~/work"]
	path = .gitconfig-work
